Wireshark-dev: [Wireshark-dev] Contributing a patch for additional L2TP filters - Bug 6841
From: "Andy Karch (akarch)" <[email protected]>
Date: Mon, 13 Feb 2012 16:13:00 -0800

Hi Wireshark Dev Team,

 

I’ve created a patch for a few additional L2TP filters (assigned tunnel/session ID), and I would like to contribute them back to the project…

 

I originally created and tested the patch in Wireshark 1.6.5 and everything works great.  Then after going through the Developer Wiki and checking-out the latest source (1.7.x), I found that I cannot build on our local Linux distro (based on RHEL 5.50, old I know).  I needed to update autoconf, gtk+, and then stopped at glibc.  I don’t suspect the patch will be sensitive to the different releases, so do you need testing done on 1.7.x, as well?  I could get a VM up (Fedora/Ubuntu or something), but given the nature of these changes, I’d like to see if you feel that additional testing is necessary.

 

Also, I don’t know much about the Wireshark release process, but can this patch be integrated into branches 1.6.x (trunk-1.6) and below, as well as the latest 1.7.x (trunk)?  Do you usually commit to all branches?

 

Let me know. 

 

Thanks,

-Andy

 

 

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6841